

      call dset(NGPVMX ,0.0d0,GPTEMP,1)
      call dset(NEPVMX ,0.0d0,EPVALU,1)
      call dset(NGPVMX ,0.0d0,GPVALU,1)
      call dset(NMAX,0.0d0,DFAULT,1)
      call dset(LA ,0.0d0,A,1)
      call dset(2*NMAX*NBMAX ,0.0d0,BND,1)
      call dset(NRLNDX ,0.0d0,REALVL,1)
      call dset(2*NBMAX ,0.0d0,BNDFLT,1)
      call dset(NGMAX*NSMAX ,0.0d0,CSTART,1)
      call dset(NGMAX ,0.0d0,RSCALE,1)
      call dset(NMAX ,0.0d0,CSCALE,1)
      call dset(LWK ,0.0d0,WK,1)
      call dset(2*NGMAX ,0.0d0,RDROWS,1)
      call dset(NMAX*NSMAX ,0.0d0,VSTART,1)
      call dset(MAXARA*3 ,0.0d0,RVALUE,1)
      call dset(2*MAXARA ,0.0d0,VARRAY,1)
      call dset(2*NOBMAX ,0.0d0,FBOUND,1)
      call dset(NEGMAX ,0.0d0,WEIGHT,1)
      call dset(LA ,0.0d0,ABYROW,1)
      call dset(LB ,0.0d0,B,1)
      call dset(LBNDS ,0.0d0,BL,1)
      call dset(LBNDS ,0.0d0,BU,1)
      call dset(NMAX ,0.0d0,X,1)
      call dset(NUMAX ,0.0d0,U,1)
      call dset(NEGMAX ,0.0d0,ESCALE,1)
      call dset(NMAX ,0.0d0,VSCALE,1)
      call dset(NGMAX ,0.0d0,GSCALE,1)
      call dset(NGMAX ,0.0d0,CLMULT,1)

      call iset( LENGTH ,0,INLIST,1)
      call iset( NELMAX ,0,ISTAEV,1)
      call iset( NGMAX ,0,ISTATE,1)
      call iset( LENGTH ,0,ITABLE ,1)
      call iset( NLMAX  ,0,IELV  ,1)
      call iset( NLMAX ,0,IINV  ,1)
      call iset( NELMAX ,0,ITYPEE,1)
      call iset( NEGMAX*2 ,0,IELING,1)
      call iset( NLMAX  ,0,IEPA  ,1)
      call iset( NGRMAX ,0,IGPA  ,1)
      call iset( 2*NGMAX ,0,IDROWS,1)
      call iset( NGMAX ,0,ITYPEG,1)
      call iset( LELVAR ,0,IELVAR,1)
      call iset( LNTVAR ,0,INTVAR,1)
      call iset( LSTADA ,0,ISTADA,1)
      call iset( LICNA  ,0,ICNA  ,1)
      call iset( NELMAX ,0,ISTEP ,1)
      call iset( NGMAX ,0,ISTGP,1)
      call iset( LIWK ,0,IWK,1)
      call iset( NINDEX ,0,INDVAL,1)
      call iset( 5*MAXINS*MAXLEV ,0,INSTR,1)
      call iset( MAXLEV ,0,NINSTR,1)
      call iset( 5*3*MAXARA ,0,IARRAY,1)
      call iset( LA*2 ,0,ICOORD,1)
      call iset( NGMAX ,0,ISTADG,1)
      call iset( NLMAX ,0,IJUMP,1)
      call iset( NMAX ,0,ITYPEV,1)
